# Cluster

The "Cluster" section allows the management of cluster resources. You can view all the clusters created by a particular team and delete resources if necessary.

## Delete cluster by ID

<mark style="color:red;">`DELETE`</mark> `{{BASE_URL}}/admin/api/clusters/{id}`

Delete a specific cluster by unique id.

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | String | Cluster ID  |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{"message":"Cluster deleted","clusterId":"6548d4f261cabb0308b984ee"}
```

{% endtab %}
{% endtabs %}

## Get clusters

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/admin/api/teams/{id}/clusters`

Get all clusters for a specific team.

#### Query Parameters

| Name                                    | Type   | Description |
| --------------------------------------- | ------ | ----------- |
| page<mark style="color:red;">\*</mark>  | String | 1           |
| limit<mark style="color:red;">\*</mark> | String | 10          |

#### Headers

| Name                                      | Type   | Description   |
| ----------------------------------------- | ------ | ------------- |
| Api-Key<mark style="color:red;">\*</mark> | String | Admin api key |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "docs": [
        {
            "_id": "6549ec825205cf0c45f24e54",
            "status": 6,
            "attestationId": "07e74c92-fb0b-4fff-a7d7-fb15d5a97032",
            "tags": [],
            "name": "k8s-development-1",
            "version": {
                "_id": "6548a383e2442d14b6bf969c",
                "name": "latest",
                "displayName": "Latest v1.28.1"
            },
            "project": "6548a41f38406c14db33b62c",
            "team": "6548a41f38406c14db33b61e",
            "owner": {
                "_id": "6548a41138406c14db33b606",
                "name": "John Doe",
                "email": "john.doe@mail.com"
            },
            "createdAt": "2023-11-07T07:51:30.893Z",
            "updatedAt": "2023-11-07T08:06:23.478Z",
            "deletedAt": "2023-11-07T08:06:23.478Z",
            "masterNode": {
                "_id": "6549ec825205cf0c45f24e56",
                "name": "master-node",
                "attestationId": "",
                "status": 7,
                "isBlocked": false,
                "provider": {
                    "_id": "6548a383e2442d14b6bf9697",
                    "type": "k8sControlPlane",
                    "isDisabled": false,
                    "cloudProvider": {
                        "_id": "6548a383e2442d14b6bf9685",
                        "name": "Kraud.Cloud",
                        "isDisabled": false
                    }
                },
                "region": "6548a383e2442d14b6bf96aa",
                "datacenter": "berlin",
                "size": {
                    "_id": "6548a383e2442d14b6bf974c",
                    "provider": "6548a383e2442d14b6bf9697",
                    "location": "berlin",
                    "name": "Standart_berlin_2_8_100",
                    "vCPUs": 2,
                    "memoryGB": 8,
                    "spaceGB": 100,
                    "group": 0
                },
                "price": {
                    "_id": "6548a383e2442d14b6bf9712",
                    "provider": "6548a383e2442d14b6bf9697",
                    "locationName": "berlin",
                    "sizeName": "Standart_berlin_2_8_100",
                    "imageName": "Ubuntu",
                    "pricePerHour": 0.08,
                    "pricePerMonth": 60,
                    "currencyCode": "EUR",
                    "createdAt": "2023-11-06T08:27:47.134Z",
                    "updatedAt": "2023-11-06T08:27:47.134Z"
                },
                "cluster": "6549ec825205cf0c45f24e54",
                "ipConfigurations": [
                    {
                        "_id": "6549ec935205cf0c45f24e8e",
                        "type": "public",
                        "method": "Dynamic",
                        "version": "IPv4",
                        "address": "185.112.181.102"
                    }
                ],
                "createdAt": "2023-11-07T07:51:30.906Z",
                "updatedAt": "2023-11-07T08:07:41.184Z",
                "deletedAt": "2023-11-07T08:07:41.183Z",
                "attestation": null
            },
            "pools": [
                {
                    "_id": "6549ec825205cf0c45f24e57",
                    "status": 1,
                    "name": "pool-0-kraud-1vCPUs-4RAM",
                    "provider": {
                        "_id": "6548a383e2442d14b6bf9695",
                        "type": "k8sNode",
                        "isDisabled": false,
                        "cloudProvider": {
                            "_id": "6548a383e2442d14b6bf9685",
                            "name": "Kraud.Cloud",
                            "isDisabled": false
                        }
                    },
                    "region": "6548a383e2442d14b6bf96a9",
                    "datacenter": "berlin",
                    "size": {
                        "_id": "6548a383e2442d14b6bf9748",
                        "provider": "6548a383e2442d14b6bf9695",
                        "location": "berlin",
                        "name": "Standart_berlin_1_4_50",
                        "vCPUs": 1,
                        "memoryGB": 4,
                        "spaceGB": 50,
                        "group": 0
                    },
                    "price": {
                        "_id": "6548a383e2442d14b6bf970e",
                        "provider": "6548a383e2442d14b6bf9695",
                        "locationName": "berlin",
                        "sizeName": "Standart_berlin_1_4_50",
                        "imageName": "Ubuntu",
                        "pricePerHour": 0.04,
                        "pricePerMonth": 30,
                        "currencyCode": "EUR",
                        "createdAt": "2023-11-06T08:27:47.134Z",
                        "updatedAt": "2023-11-06T08:27:47.134Z"
                    },
                    "cluster": "6549ec825205cf0c45f24e54",
                    "nodes": [
                        {
                            "_id": "6549ec825205cf0c45f24e5a",
                            "attestationId": "",
                            "status": 7,
                            "isBlocked": false,
                            "pool": "6549ec825205cf0c45f24e57",
                            "name": "pool-0-kraud-1vCPUs-4RAM_node0",
                            "ipConfigurations": [
                                {
                                    "_id": "6549ec8f5205cf0c45f24e84",
                                    "type": "public",
                                    "method": "Dynamic",
                                    "version": "IPv4",
                                    "address": "185.112.181.100"
                                }
                            ],
                            "createdAt": "2023-11-07T07:51:30.909Z",
                            "updatedAt": "2023-11-07T08:07:41.202Z",
                            "deletedAt": "2023-11-07T08:07:41.201Z",
                            "attestation": null
                        }
                    ]
                }
            ],
            "id": "6549ec825205cf0c45f24e54"
        },
    ],
    "totalDocs": 1,
    "limit": 10,
    "totalPages": 1,
    "page": 1,
    "pagingCounter": 1,
    "hasPrevPage": false,
    "hasNextPage": false,
    "prevPage": null,
    "nextPage": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/enclaive-multi-cloud-platform/developers/api/admin-admin-api/accounts/team/cluster.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
